--- old/usr/src/lib/nsswitch/dns/Makefile.com	2019-07-05 17:34:18.518259194 +0000
+++ new/usr/src/lib/nsswitch/dns/Makefile.com	2019-07-05 17:34:18.536048431 +0000
@@ -38,6 +38,15 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
+DYNLIB1 =	nss_dns.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
 # Appropriate libresolv loaded at runtime. This is the default, to be dlopened
 # if no libresolv was provided by the application.
 CPPFLAGS +=	-DNSS_DNS_LIBRESOLV=\"libresolv.so.2\"
@@ -45,4 +54,4 @@
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 
 LDLIBS +=	-lnsl -lsocket
-DYNLIB1 =	nss_dns.so$(VERS)
+
